---
layout: default
title: GitLab Reseller Technical Enablement - Learning GitLab with Git Basics
description: "Learning GitLab with Git Basics - An introductory course in two parts."
suppress_header: true
extra_css:
  - styles-2018.css
---

.wrapper
  .page-illustrated-header-container
    = partial "includes/icons/gitlab-icon-pattern-header.svg"
    .container
      .header-container-content
        %h1.page-headline Learning GitLab with Git Basics
        %h2.page-subtitle Reseller Technical Enablement OnDemand Session

  .content-container
    .wrapper.container{ role: "main" }
      .row
        .col-xs-12.col-md-6.col-md-offset-1
          .content-section
            %p Learning GitLab with Git Basics - An introductory course in two parts. First, using GitLab, a walkthrough of the user interface, its features and functionality and a demonstration of the GitLab flow for development.

            %h3 Agenda
            %ul
              %li What is Git & GitLab?
              %li GitLab UI walkthrough
              %li Projects
              %li Issues
              %li Merge Requests
              %li Pipelines
              %li Settings
              %li User & Admin area
              %li Typical GitLab Workflow & Workshop

            %p Second, the basics of using Git and how to use it with GitLab. How to configure a local workspace, clone & pull from the GitLab, make local changes using the GitLab flow, commit them and finally push them back to the GitLab.

            %h3 Agenda
            %ul
              %li Git CLI Setup
              %li Git Basics
              %li Workflow
              %li Merging & Rebasing
              %li Reverting & Resetting

          .content-section
            %h3 About GitLab
            %p GitLab is the first single application for the entire DevOps lifecycle. Only GitLab enables Concurrent DevOps, unlocking organizations from the constraints of the toolchain. GitLab provides unmatched visibility, higher levels of efficiency, and comprehensive governance. This make the software lifecycle 3 times faster, radically improving the speed of business.
            %br
            %p GitLab delivers complete real-time visibility of all projects and relevant activities across the expanded DevOps lifecycle. For the first time, teams can see everything that matters. Changes, status, cycle times, security and operational health are instantly available from a trusted single source of data. Information is shown where it matters most, e.g. production impact is show together with the code changes that caused it. And developers see all relevant security and ops information for any change.


        .col-md-4.col-md-offset-1
          %h2 Register for the webcast
          .centered-form
            %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
            %form#mktoForm_1644
            :javascript
              MktoForms2.setOptions(
              {
                formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
              });
              MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1644, function(form) {
                form.onSuccess(function() {
                  form.getFormElem().hide();
                  $('.confirmform').attr('style', 'visibility: visible');
                  return false;
                });
              });
            .confirmform{style: "visibility:hidden;"}
              .centered-form-info
                %h3 Registration received!
                %p Thank you for registering. You will receive an email with additional webcast details.
